<?xml version='1.0' encoding='UTF-8' ?>
<!--
  ~ Copyright (c) 2016 Roman Nazarenko.
  ~
  ~  This program is free software: you can redistribute it and/or modify
  ~  it under the terms of the GNU Affero General Public License as
  ~  published by the Free Software Foundation, either version 3 of
  ~  the License, or (at your option) any later version.
  ~
  ~  This program is distributed in the hope that it will be useful,
  ~  but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~  GNU General Public License for more details.
  ~
  ~  You should have received a copy of the GNU General Public License
  ~  along with this program.  If not, see <http://www.gnu.org/licenses/>.
  -->

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
		"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	  xmlns:h="http://xmlns.jcp.org/jsf/html"
	  xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	  xmlns:f="http://xmlns.jcp.org/jsf/core"
	  xmlns:of="http://omnifaces.org/functions"
	  xmlns:c="http://java.sun.com/jsp/jstl/core">

<h:head>
	<ui:include src="/WEB-INF/jsf/include/title.xhtml"/>
	<ui:include src="/WEB-INF/jsf/include/imports.xhtml"/>
	<ui:include src="/WEB-INF/jsf/include/init.xhtml"/>
</h:head>
<h:body styleClass="pushable">
	<div class="pusher">
		<div class="ui container framed">
			<ui:include src="/WEB-INF/jsf/include/header.xhtml"/>
			<div class="ui centered two columns stackable footer-margin grid">
				<div class="ui row">
					<h:panelGroup id="searchResultsViewId" styleClass="ui eleven wide column" layout="block">
						<h1>Search results for &quot;${searchBean.query}&quot;:</h1>
						<ui:repeat value="${searchBean.page}" var="result">
							<div class="ui segment items">
								<div class="item">
									<div class="content">
										<div class="header">
											<h1>
												<h:outputLink value="${request.contextPath}${result.url}">
													${result.header}
												</h:outputLink>
											</h1>
										</div>
										<h:panelGroup styleClass="ui divider"
													  rendered="${not empty result.largePreview}"
													  layout="block">
										</h:panelGroup>
										<h:panelGroup styleClass="description"
													  rendered="${not empty result.largePreview}"
													  layout="block">
											${result.largePreview}
										</h:panelGroup>
									</div>
								</div>
							</div>
						</ui:repeat>
					</h:panelGroup>
					<div class="ui three wide column">
						<ui:include src="/WEB-INF/jsf/include/owner-card.xhtml"/>
						<ui:include src="/WEB-INF/jsf/include/latest-posts.xhtml"/>
					</div>
				</div>
				<div class="ui row">
					<div class="ui right floated basic compact segment">
						<div class="ui right pagination menu">
							<h:form id="paginationMenuFormId">
								<ui:repeat value="#{of:createIntegerArray(1, searchBean.pagesCount)}"
										   var="i"
										   varStatus="loop">
									<c:set var="isCurrent" value="${paginationUtils.isCurrent(loop.index)}"/>
									<h:commandLink styleClass="item"
												   action="#{paginationUtils.setCurrent(loop.index)}"
												   value="${i}"
												   rendered="${not isCurrent}">
										<f:ajax render=":paginationMenuFormId :searchResultsViewId"/>
									</h:commandLink>
									<h:panelGroup styleClass="active item" rendered="${isCurrent}">
										${i}
									</h:panelGroup>
								</ui:repeat>
							</h:form>
						</div>
					</div>
				</div>
			</div>
		</div>
		<ui:include src="/WEB-INF/jsf/include/footer.xhtml"/>
	</div>
</h:body>
</html>

